sbnc (1.3.9-1) unstable; urgency=low

  * New upstream release
    Upstream fixed several memory & resource leaks and removed dead code 
  * New Maintainer (Closes: #622977)
  * Include new watch file - thanks to Bart Martens
  * Updated standards version
  * Set debhelper compatibility to 9
  * Include Japanese translation (Closes: #693059) 
    Thanks to victory <victory.deb@gmail.com> 
  * Fix lintian warnings
  * Enabled hardening flags
  * Remove old snippets from debian/rules
  * Adjust init script to source init functions
  * sbnc mysql support was removed because upstream dropped it from source
    Package sbnc-mysql is dropped as consequence 
    Also dropped build depends on libmysql-client and set Conflicts & Replaces
    on package sbnc-mysql to make sure it gets removed after upgrade
  * Moved tcl scripts from /var/lib/sbnc to /usr/share/sbnc
  * Removed most of the patches as they are now included by upstream
  * Place user configs in /etc/sbnc instead of /var/lib/sbnc
  * Added postinst snippet to move user configs to appropriate place if present 
  * Add option status to sbnc init.d script

 -- Stefan Bauer (Cubewerk GmbH) <stefan.bauer@cubewerk.de>  Tue, 04 Mar 2014 14:28:01 +0100

sbnc (1.2-26) unstable; urgency=low

  * QA upload.
  * Add Danish debconf translation from Joe Hansen. Closes: #660904

 -- David Prévot <taffit@debian.org>  Sat, 18 Aug 2012 13:41:16 -0400

sbnc (1.2-25) unstable; urgency=low

  * QA upload.
  * Put back .la files (they are used by lt_dlopen), emptying the
    dependency_libs setting. Closes: #639559.
  * Add build-indep and build-arch targets to debian/rules.

 -- Ludovico Gardenghi <garden@debian.org>  Sun, 19 Feb 2012 16:56:06 +0100

sbnc (1.2-24) unstable; urgency=low

  * QA upload.
  * Stop distributing la files. Closes: #633215.

 -- Regis Boudin <regis@debian.org>  Tue, 16 Aug 2011 20:28:31 +0100

sbnc (1.2-23) unstable; urgency=high

  * Add patch 16-fix-openssl-ftbfs.diff, which fixes a FTBFS with OpenSSL 1.0.
    Closes: #622055
  * Bump Standards-Version to 3.9.2 (no changes needed).
  * Fix lintian warning description-synopsis-starts-with-article.
  * Wrap build dependencies.
  * Set maintainer to the Debian QA Group.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sat, 16 Apr 2011 12:35:43 +0200

sbnc (1.2-22) unstable; urgency=low

  * Add italian translation from Luca Bruno.
    Closes: #614087

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 25 Mar 2011 21:50:07 +0100

sbnc (1.2-21) unstable; urgency=low

  * Change debian/watch to the source code located on sf.net.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 06 Feb 2011 19:30:23 +0100

sbnc (1.2-20) unstable; urgency=low

  * Add patch 15-savecert-path-parsing.diff. The internal function BuildPath
    was used in a wrong way with the consequence that the client certificate
    could not be saved on the disk.
    Closes: #599827
  * Bump Standards-Version to 3.9.1 (no changes needed).

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 12 Oct 2010 18:19:30 +0200

sbnc (1.2-19) unstable; urgency=low

  * Add spanish debconf translation from Camaleón.
    Closes: #584452

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 03 Jun 2010 21:29:22 +0200

sbnc (1.2-18) unstable; urgency=low

  * Bump Standards-Version to 3.8.4 (no changes needed).
  * Convert package to the 3.0 (quilt) format.
  * Add patch 14-fix-sign-extension from upstream, which fixes a sign extension
    bug.
  * Wrap build dependencies.
  * Add missing init script dependencies on remote_fs.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 04 Feb 2010 22:24:24 +0100

sbnc (1.2-17) unstable; urgency=low

  * Bump Standards-Version to 3.8.3.
    - Update debian/README.source.
  * Remove Patrick Ringl from uploaders.
  * Add autotools-dev to build depends and use up to date config.{sub,guess}
    scripts. This fixes an FTBFS on avr32.
    Closes: #542268

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 19 Aug 2009 19:15:07 +0200

sbnc (1.2-16) unstable; urgency=high

  * Bump Standards-Version to 3.8.2 (no changes needed).
  * Rebuild against new MySQL Client library.
    Closes: #538502

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 26 Jul 2009 12:24:52 +0200

sbnc (1.2-15) unstable; urgency=low

  * Fix typo in get-orig-source target.
  * Add some additional quotes in sbnc.{config,postinst}.
  * Just empty the password template in sbnc.config, if it is not the
    initial configuration. Much thanks to Kilian Krause for his help in
    debugging this issue.
    Closes: #516468
  * Refer in debian/copyright to the {l}GPL-2 file instead of {L}GPL.
  * Add my own copyright for the Debian packaging.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 03 May 2009 10:48:24 +0200

sbnc (1.2-14) unstable; urgency=low

  * Fix dir-or-file-in-var-run and create var/run/sbnc dynamic on calling
    the init.d script. Thanks lintian.
  * Change my email address.
  * Remove DM-Upload-Allowed control field.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 20 Apr 2009 19:41:53 +0200

sbnc (1.2-13) unstable; urgency=low

  * Fix 12-debianize-ssl patch. sbnc still tried to open the certificate from
    the wrong location.

 -- Patrick Matthäi <patrick.matthaei@web.de>  Sun, 29 Mar 2009 21:23:24 +0200

sbnc (1.2-12) unstable; urgency=low

  * Fix debian/watch to match with the new homepage layout.
  * Bump Standards-Version to 3.8.1 (no changes needed).
  * Change section of sbnc-dbg to debug.
  * Add workaround patch 13-basepath_parsing.dpatch.
    Closes: #512541
  * Activate forgotten 12-debianize-ssl.dpatch patch.
  * Merge changelog entry from the 1.2-8+lenny1 stable upload.

 -- Patrick Matthäi <patrick.matthaei@web.de>  Thu, 19 Mar 2009 09:21:39 +0200

sbnc (1.2-11) unstable; urgency=low

  * Add 12-debianize-ssl patch which corrects the paths to the sbnc.key file.
    Closes: #515338
  * Add missing ${misc:Depends}. Thanks lintian.
  * Add get-orig-source target.
  * Fix lintian warning binary-control-field-duplicates-source.

 -- Patrick Matthäi <patrick.matthaei@web.de>  Thu, 19 Feb 2009 13:11:35 +0200

sbnc (1.2-10) unstable; urgency=low

  * Uploading to unstable.
  * Replace the AL license with the FAL (Frontier Artistic License), because
    "src/snprintf.c" is licensed under the terms of the FAL. Much thanks to
    Steve Cotton.
    Closes: #500760

 -- Patrick Matthäi <patrick.matthaei@web.de>  Sat, 18 Oct 2008 10:50:51 +0200

sbnc (1.2-9) experimental; urgency=low

  * Uploading to experimental because of the Lenny freeze.
  * Working watchfile.
  * debconf depend will be added by $misc:Depends, no need to depend on it.
  * Removed ucf configfile handling. Use the dpkg configfile handling instead.
  * Just suggests on sbnc-mysql from the sbnc package.

 -- Patrick Matthäi <patrick.matthaei@web.de>  Sat, 30 Aug 2008 12:09:21 +0200

sbnc (1.2-8+lenny1) stable; urgency=low

  * Add 12-debianize-ssl patch which corrects the paths to the sbnc.key file.
    Closes: #515338

 -- Patrick Matthäi <patrick.matthaei@web.de>  Thu, 26 Feb 2009 09:47:00 +0200

sbnc (1.2-8) unstable; urgency=low

  [ Patrick Matthäi ]
  * Drop embedded libltdl and added 11-use-external-ltdl.dpatch which let us
    link shared against the external libltdl.
    We also need now a build depend on libltdl3-dev.

  [ Debian l10n ]
  * Swedish translation from Martin Bagge <martin.bagge@bthstudent.se>.
    Closes: #487751

 -- Patrick Matthäi <patrick.matthaei@web.de>  Tue, 24 Jun 2008 11:12:00 +0200

sbnc (1.2-7) unstable; urgency=low

  * Added 10-hurd-ftbfs.dpatch which fixes a FTBFS on hurd.
  * Bumped Standards-Version to 3.8.0.
    - Added README.source.
  * Fixed odd debhelper call order in debian/rules and do not let
    dh_makeshlibs modify the maintainer scripts. Thanks lintian.
  * Added debian/watch which just documents, that we are unable to monitor the
    latest upstream release. This makes lintian happy.

 -- Patrick Matthäi <patrick.matthaei@web.de>  Sun, 22 Jun 2008 17:52:51 +0100

sbnc (1.2-6) unstable; urgency=low

  [ Patrick Matthäi ]
  * Adjusted sbnc.templates to the current templates.pot.
    Closes: #481722

  [ Debian l10n ]
  * Update portuguese translation.
    Closes: #481405
  * Corrected german translation based on the l10n-german guidelines.
    Thanks to Helge Kreutzmann <debian@helgefjell.de> for his patch.
    Closes: #481722

 -- Patrick Matthäi <patrick.matthaei@web.de>  Thu, 22 May 2008 19:19:59 +0100

sbnc (1.2-5) unstable; urgency=low

  [ Patrick Matthäi ]
  * Added DM-Upload-Allowed control field.
  * Fixed typo in all templates.
    Closes: #478255
  * Also fixed a typo in the long description.
  * Added 09-misc.tcl-regexp.dpatch from upstream svn.
  * Lowered down recommend from sbnc-mysql on mysql-server to suggests.

  [ Debian l10n ]
  * Vietnamese translation from Clytie Siddall <clytie@riverland.net.au>.
    Closes: #478220
  * Euskara translation from Piarres Beobide <pi@beobide.net>.
    Closes: #478245
  * Portuguese translation from Ricardo Silva <ardoric@gmail.com>.
    Closes: #478343
  * French translation from Steve Petruzzello <dlist@bluewin.ch>.
    Closes: #480121
  * Czech translation from Miroslav Kure <kurem@debian.cz>.
    Closes: #480300
  * Russian translation from Yuri Kozlov <kozlov.y@gmail.com>.
    Closes: #480918

 -- Patrick Matthäi <patrick.matthaei@web.de>  Thu, 12 May 2008 20:17:09 +0100

sbnc (1.2-4) unstable; urgency=low

  [ Patrick Matthäi ]
  * Includes two new patches:
    - 07-cares-1.5-port.dpatch:
        Port sbnc to c-ares 1.5. Thanks to explodus <explodus@gmx.de>.
    - 08-use-external-cares.dpatch:
        Use the external c-ares library and link against it.
        So on we need now a Build-Depend on libc-ares-dev.
  * Added new package sbnc-php-dev, which includes the PHP classes for
    developing webinterfaces for example.
  * Added sbnc-dbg package, which includes all debugging symbols for sbnc
    and all his binary:any extensions.
  * Upgraded the manpage for sbnc. It lists now also the folder and file
    structure of the sbnc package.
  * We have added debconf support. Now the installation and configuration of
    the package should be much better and very suiteable for every user.
    Every needed value after the first installation of sbnc to start it will
    be asked about debconf.
  * Fixed install target. We do not need to call the build target again.
  * Let create a configure-stamp and don't build sbnc anymore with
    enable-static.
  * Let sbnc build against Tcl 8.5 now.
  * Only delete the sbnc user if the user is available on the system.
  * Made the little sed hack in debian/rules more human readable.
  * Delete on purge time just the existing log files, not the whole directory.
    dpkg will delete it for itself if it is empty.

  [ Patrick Ringl ]
  * Add myself as Co-Maintainer.
  * Added a --background call to /etc/init.d/sbnc since without sbnc will
    not detach cleanly and debconf will run forever.
  * Created encoding of the administator password with some shell scripting
    magic.

  [ Debian l10n ]
  * Added finnish translation. Thanks to Esko Arajärvi <edu@iki.fi>.
    Closes: #477817
  * Added galician translation. Thans to Jacobo Tarrio <jtarrio@debian.org>.
    Closes: #477943

 -- Patrick Matthäi <patrick.matthaei@web.de>  Mon, 21 Apr 2008 19:06:09 +0100

sbnc (1.2-3) unstable; urgency=low

  * Changed TCL to Tcl in package descriptions.
  * Let logrotate create new logfiles as sbnc:adm instead of root:adm.
  * Don't create a new section for each logfile in debian/sbnc.logrotate.
    Both logfiles have now the same section.

 -- Patrick Matthäi <patrick.matthaei@web.de>  Sun, 17 Feb 2008 10:56:30 +0100

sbnc (1.2-2) unstable; urgency=low

  * Removed some not needed allows from the oidentd.conf and permit hiding.
  * Removed 01-debianizing-patchset.dpatch and split it in three patches. It
    was stupid to take so much changes in one file. The three new patches are:
    - 01-debianize-core.dpatch
    - 05-debianize-tcl.dpatch
    - 06-debianize-scripts.dpatch
  * Added 04-mysql-log.dpatch, which corrects the MySQL logging path.
  * Added a check for the default file options in the restart section of the
    init script.
  * Let it configure with the --with-tcl option, so that the build won't fail
    on hppa architectures.
  * Added chown to sbnc:sbnc for /etc/sbnc in sbnc.postinst. Without this
    correct permissions, the creation of the sbnc.conf could fail.

 -- Patrick Matthäi <patrick.matthaei@web.de>  Wed, 16 Jan 2008 22:40:01 +0100

sbnc (1.2-1) unstable; urgency=low

  * Initial release.
    Closes: #447630

 -- Patrick Matthäi <patrick.matthaei@web.de>  Sat, 29 Dec 2007 20:08:21 +0100
